RefCampaign/docs
Référence APICommissions

Approve multiple commissions

Approves an array of commission ids in a single transaction.

PUT
/api/v1/commissions/bulk-approve

Approves an array of commission ids in a single transaction.

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the merchant dashboard. Sent as Authorization: Bearer <token>. Used by the SDK and any direct server-to-server integration.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://app.refcampaign.com/api/v1/commissions/bulk-approve" \  -H "Content-Type: application/json" \  -d '{    "commissionIds": [      "string"    ]  }'
Empty
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}